# frozen_string_literal: true

module Intra
  class SessionsController < ActionController::Base
    include Authentication

    skip_before_action :verify_authenticity_token, only: :create

    # GET /sign_in
    def new
    end

    # GET /auth/:provider/callback
    def create
      sign_in request.env['omniauth.auth']
      redirect_to main_app.root_path
    end

    # GET /sign_out
    def destroy
      sign_out if signed_in?
      redirect_to Intra.sign_in_path
    end

    def failure
      redirect_to Intra.sign_in_path, error: request.params['message']
    end
  end
end
