require 'logger'
require 'rails/engine'
require 'action_dispatch'
require 'omniauth'
require 'omniauth-google-oauth2'

require 'intra/version'
require 'intra/session'
require 'intra/rack_session'
require 'intra/authenticatable'
require 'intra/authentication'
require 'intra/request_forgery_protection'
require 'intra/engine'

module Intra
  # Configure the path to redirect unauthenticated session. Default '/sign_in'.
  mattr_accessor :sign_in_path
  @@sign_in_path = '/sign_in'

  # Configure the user class. Default 'User'
  mattr_accessor :user_class
  @@user_class = 'User'

  # Configure the logger Intra will use. Defaults to Logger.new($STDOUT).
  mattr_accessor :logger
  @@logger = Logger.new($STDOUT)

  # The session cookie expiration.
  mattr_accessor :remember_for
  @@remember_for = 2.weeks

  # Time interval to timeout the user sesion without activity.
  # Set this to nil if you do not want to timeout the user serssion.
  mattr_accessor :timeout_in
  @@timeout_in = 30.minutes
end
