module Intra
  class Engine < Rails::Engine
    isolate_namespace Intra

    initializer 'intra.initializer' do |app|
      app.config.filter_parameters += [:uid]
      app.config.middleware.use RackSession
      OmniAuth.config.allowed_request_methods = [:post]
      OmniAuth.config.before_request_phase do |env|
        ::Intra::RequestForgeryProtection.new(env).call
      end
    end

    rake_tasks do
      load File.join(File.expand_path(__dir__), 'tasks', 'install.rake')
    end
  end
end
