module Intra
  class OmniAuthFailureApp
    attr_reader :env

    def initialize(env)
      @env = env
    end

    def call
      Logger.logger.info "OmniAuthFailureApp #{message_key}=#{error_description}"
      Rack::Response.new(['302 Moved'], 302, 'Location' => new_path).finish
    end

    def new_path
      "#{env['SCRIPT_NAME']}#{OmniAuth.config.path_prefix}/failure?" \
        "message=#{message_key}&error_description=#{error_description}"
    end

    def message_key
      env['omniauth.error.type']
    end

    def error_description
      Rack::Utils.escape(env['omniauth.error'].error_reason)
    end
  end
end
